// EffectEditDlg.h : header file
//

#if !defined(AFX_EFFECTEDITDLG_H__E9B01106_1E1A_11D4_9155_00A0CC5275E1__INCLUDED_)
#define AFX_EFFECTEDITDLG_H__E9B01106_1E1A_11D4_9155_00A0CC5275E1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CEffectEditDlg dialog

class CEffectEditDlg : public CDialog
{
// Construction
public:
	CEffectEditDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEffectEditDlg)
	enum { IDD = IDD_EFFECTEDIT_DIALOG };
	CButton	m_Loop;
	CButton	m_Fog;
	CButton	m_DataStartRunning;
	CButton	m_LockButton;
	CListBox	m_MasterList;
	CTreeCtrl	m_EffectList;
	CString	m_Audio;
	CString	m_Video;
	CString	m_Sound;
	CString m_ContentEntry[18];
	float	m_MaxRange;
	float	m_MinRange;
	float	m_TransX;
	float	m_TransY;
	float	m_TransZ;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEffectEditDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	bool m_Locked;

	void ClearAudioDialog (void);
	void ClearVideoDialog (void);
	void ClearDialog (void);
	void ClearEffectDialog (void);
	void ClearContentDialog (void);
	void HandleContentClick (int id);
	void StripPathFolder (CString& path,CString& folder);			// path is full at start

	// Generated message map functions
	//{{AFX_MSG(CEffectEditDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangedEffectlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAdd();
	afx_msg void OnSelchangeMasterlist();
	afx_msg void OnClose();
	afx_msg void OnLockcheck();
	afx_msg void OnSoundselect();
	afx_msg void OnDatastartrun();
	afx_msg void OnSelchangingEffectlist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnFog();
	afx_msg void OnLoop();
	afx_msg void OnUpdateMaxrangeedit();
	afx_msg void OnUpdateMinrangeedit();
	afx_msg void OnUpdateTransx();
	afx_msg void OnUpdateTransy();
	afx_msg void OnUpdateTransz();
	afx_msg void OnContent();
	afx_msg void OnContselect1();
	afx_msg void OnContselect2();
	afx_msg void OnContselect3();
	afx_msg void OnContselect4();
	afx_msg void OnContselect5();
	afx_msg void OnContselect6();
	afx_msg void OnContselect7();
	afx_msg void OnContselect8();
	afx_msg void OnContselect9();
	afx_msg void OnContselect10();
	afx_msg void OnContselect11();
	afx_msg void OnContselect12();
	afx_msg void OnContselect13();
	afx_msg void OnContselect14();
	afx_msg void OnContselect15();
	afx_msg void OnContselect16();
	afx_msg void OnContselect17();
	afx_msg void OnContselect18();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EFFECTEDITDLG_H__E9B01106_1E1A_11D4_9155_00A0CC5275E1__INCLUDED_)
